export function DataAdapter(): void;
export class DataAdapter {
    /**
     * save data to any underlying implementation
     * data store / database
     * @param data {object}
     * @returns {Promise<*>}
     */
    upsert(data: object): Promise<any>;
    delete(): Promise<any>;
}
